from twisted.internet import reactor, task
from twisted.web.client import Agent
from twisted.web.http_headers import Headers

agent = Agent(reactor)

def cbResponse(ignored):
    print 'Response received'

def makeRequest():
    d = agent.request(
        'GET',
        'http://google.com/',
        Headers({}),
        None)
    d.addCallback(cbResponse)

def runEverySecond():
    makeRequest()
    print "Pending reactor writes:", len(reactor._writes)
    #for w in reactor._writes:
        #print w.disconnected, w.disconnecting, w.connected, w.socket._sock.connected, w.socket._sock.peer_closed
        #print w.socket._sock._writable()
        #break

l = task.LoopingCall(runEverySecond)
l.start(1.0) # call every second

def stop():
    reactor.stop()

reactor.callLater(10, stop)

reactor.run()
